## Get invoice history `client.aiGateway.billing.invoiceHistory(BillingInvoiceHistoryParamsparams, RequestOptionsoptions?): BillingInvoiceHistoryResponse` **get** `/accounts/{account_id}/ai-gateway/billing/invoice-history` Retrieve a list of past invoices with pagination, optionally filtered by type. ### Parameters - `params: BillingInvoiceHistoryParams` - `account_id: string` Path param: Cloudflare account ID. - `type?: "auto" | "all" | "manual"` Query param: Filter invoice type: auto, manual, or all. - `"auto"` - `"all"` - `"manual"` ### Returns - `BillingInvoiceHistoryResponse` - `invoices: Array` - `amount_due: number` - `amount_paid: number` - `amount_remaining: number` - `currency: string` - `id?: string | null` - `attempt_count?: number` - `attempted?: boolean` - `auto_advance?: boolean | null` - `created?: number` - `created_by?: string` - `description?: string | null` - `invoice_origin?: string` - `invoice_pdf?: string | null` - `status?: string | null` - `pagination: Pagination` - `has_more: boolean` - `page: number` - `per_page: number` - `total_count: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.aiGateway.billing.invoiceHistory({ account_id: 'account_id' }); console.log(response.invoices); ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "invoices": [ { "amount_due": 0, "amount_paid": 0, "amount_remaining": 0, "currency": "currency", "id": "id", "attempt_count": 0, "attempted": true, "auto_advance": true, "created": 0, "created_by": "created_by", "description": "description", "invoice_origin": "invoice_origin", "invoice_pdf": "invoice_pdf", "status": "status" } ], "pagination": { "has_more": true, "page": 0, "per_page": 0, "total_count": 0 } }, "success": true, "result_info": { "has_more": true, "page": 0, "per_page": 0, "total_count": 0 } } ```